Subject: Re: [PATCH] http: fix some printf format warnings on 32-bit builds

From: Torsten Bögershausen <[email-masked]>
Date: Thu, 12 Nov 2015 06:27:08 +0100

>Ah. OK, so %ld for long and %lld for long long, I suppose. Only if you 
have a system that's support it.

Linux does, Windows not.

>Hmm, not that it matters, but I wonder what the PRId64 macro is. ;-)
It's "I64d" for Windows, and "lld" for all Gnu based systems and others,

When you do printf("%lld %ld", long_long_var, long_var),
the "printf runtime" under Windows will treat "%lld" as "%ld", and print
the lower part of long_long_var.
And will not pull a long long from stack, but a long, resulting i all kinds of confusion

So whenever a long long is printed, I can warmly recommend to use

PRId64